import request from '@/utils/request'

// 查询塔机工作循环列表
export function listTowerDataRound(query) {
  return request({
    url: '/device/towerDataRound/list',
    method: 'get',
    params: query
  })
}

// 查询塔机工作循环详细
export function getTowerDataRound(id) {
  return request({
    url: '/device/towerDataRound/' + id,
    method: 'get'
  })
}

// 新增塔机工作循环
export function addTowerDataRound(data) {
  return request({
    url: '/device/towerDataRound',
    method: 'post',
    data: data
  })
}

// 修改塔机工作循环
export function updateTowerDataRound(data) {
  return request({
    url: '/device/towerDataRound',
    method: 'put',
    data: data
  })
}

// 删除塔机工作循环
export function delTowerDataRound(id) {
  return request({
    url: '/device/towerDataRound/' + id,
    method: 'delete'
  })
}
